%define prefix    /usr/
%define name gl4gcj
%define version 0.1.0

Name: %{name}
Version: %{version}
Release: 1
License: MIT
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.gz
URL: http://sourceforge.jp/projects/gl4gcj
Vendor: Project Routine-Work
Distribution: Routine-Work
Packager: SAWAI Masahiko <say@sourceforge.jp>
BuildRoot: /var/tmp/%{name}-root
Summary: gl4gcj -> OpenGL java binding using gcj cni

%description 
%{name} is OpenGL java binding using gcj cni.

%package devel
Summary: Development tools for gl4gcj application.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
gl4gcj-devel package contains the files for the gl4gcj 
application development.

%prep
%setup
rm -fr $RPM_BUILD_ROOT

%build
./configure --prefix=%prefix
make OPT_FLAGS="$RPM_OPT_FLAGS"

%install
make prefix=${RPM_BUILD_ROOT}%prefix install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{prefix}/lib/lib-gl4gcj.so.*
%{prefix}/lib/lib-glu4gcj.so.*
%{prefix}/lib/lib-glut4gcj.so.*

%files devel
%defattr(-,root,root)
%{prefix}/lib/lib-*.so
%{prefix}/lib/lib-*.a
%{prefix}/lib/lib-*.la
%{prefix}/share/java/ext/*.jar
%{prefix}/include/gl4gcj/
%{prefix}/include/glu4gcj/
%{prefix}/include/glut4gcj/

%changelog

* Sat Apr 22 2006 SAWAI, Masahiko <say@sourceforge.jp>
- Update for gl4gcj-0.1.0

* Thu Mar 17 2005 SAWAI, Masahiko <say@sourceforge.jp>
- first release
